package cc.smtweb.system.bpm.web.engine.flow;

import cc.smtweb.framework.core.common.SwMap;
import cc.smtweb.system.bpm.web.engine.flow.entity.Task;

import java.util.List;

/**
 * Created by Akmm at 2022-08-20 16:12
 * 流程流转监听
 */
public interface FlowListener {
    //设置条件计算参数
    default void setExprParam(SwMap param) {
    }

    //提交
    default void afterSubmit(Task srcTask, List<Task> dstTasks) {
    }

    //取回
    default void afterRetake(Task srcTask, List<Task> dstTasks) {
    }

    //驳回
    default void afterReject(Task srcTask, List<Task> dstTasks) {
    }

    //办理，签收
    default void afterHandle(Task srcTask) {
    }

    //作废
    default void afterDisuse(Task srcTask) {
    }

}
